var docData = [
    {
        "title": "General",
        "list": [
            {
                "entry-title": "Getting Started",
                "list": [
                    {
                        "entry-subtitle": "Welcome to Porto eCommerce Template",
                        "entry-subcontent": "<p>It is very nice of you to choose this template as your eCommerce website! <br />We would like to extend our heartfelt thanks to you. </p><p> Our <a href='#' target='_blank'>eCommerce Template</a> has a well-organized, easily understandable files structure, supports superfast data processing, works pretty well on various kinds of browsers, including Chrome, IE, Edge, Firefox, Safari, and so on. On top of that, it provides 40+ demos, categories, products, other pages of fashionable design, and fully customizable components. </p>  <p> Before using this template, be sure to check this doc carefully. By gathering various opinions of customers, we’ve made such a well-defined document to help you have a clear understanding of the template.</p>  <p> If you have problems finding solutions in this documentation or have any ideas to further develop this Porto Template, feel free to contact us, and we will always be with you and will appreciate your big help. </p> "
                    }
                ]
            },
            {
                "entry-title": "Features",
                "list": [
                    {
                        "entry-subtitle": "eCommerce Template",
                        "entry-subcontent": "<p>Porto is one of the top rated HTML templates in eCommerce.<br />By using this template, you can build your own eCommerce site in a fast still convenient way.</p>"
                    },
                    {
                        "entry-subtitle": "Responsive Design",
                        "entry-subcontent": "<p>It enables your eCommerce site to look great on desktop, laptop, tablet and mobile.</p>"
                    },
                    {
                        "entry-subtitle": "Fully Customizable",
                        "entry-subcontent": "<p>You can fully customize.You can make your own pages and components by using our products.</p>"
                    },
                    {
                        "entry-subtitle": "Developed with sass",
                        "entry-subcontent": "<p>This template is developed with sass. Every Shop demo page has its own sass file.</p>"
                    },
                    {
                        "entry-subtitle": "Multi-Browser Support",
                        "entry-subcontent": "<p>This template has multi browser support. It works fine with all browsers including Chrome, IE, Edge, Opera, Firefox, etc.</p>"
                    },
                    {
                        "entry-subtitle": "SEO Friendly",
                        "entry-subcontent": "<p>SEO Friendly is one of our top priorities while working on Porto improvements, you can expect high SEO performance while using Porto.</p>"
                    },
                    {
                        "entry-subtitle": "Built-in Pages",
                        "entry-subcontent": "<p>This template has 42 shop demos, 14 cateogry pages, 12 product pages, 16 element pages and other 10 subpages.</p>"
                    }
                ]
            },
            {
                "entry-title": "Files Structure",
                "list": [
                    {
                        "entry-subtitle": "Well-organized and easily understandable structure",
                        "entry-subcontent": `
                            <p>Porto eCommerce Template has a well-organized, easily understandable and customizable files structure. Just one glance would be enough for you to fully understand the whole.</p>
                            <table class="table table-bordered">
                                <thead>
                                    <th>Path</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>documentation</code></td>
                                        <td>Porto Documentation</td>
                                    </tr>
                                    <tr>
                                        <td><code>ajax</code></td>
                                        <td>Ajax Content</td>
                                    </tr>
                                    <tr>
                                        <td><code>assets</code></td>
                                        <td>Asset folder</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-3"><code>css</code></td>
                                        <td>Css folder</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-3"><code>Fonts</code></td>
                                        <td>Fonts</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-3"><code>images</code></td>
                                        <td>Images</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-3"><code>js</code></td>
                                        <td>JS Files</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-3"><code>sass</code></td>
                                        <td>Sass folder</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-5"><code>base</code></td>
                                        <td>Base stylesheets</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-5"><code>components</code></td>
                                        <td>Component stylesheets</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-5"><code>config</code></td>
                                        <td>Default configuration for colors, fonts and media breakpoints</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-5"><code>demos</code></td>
                                        <td>Stylesheets for individual demos</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-5"><code>mixins</code></td>
                                        <td>Mixins for media breakpoints and configuration of variables</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-5"><code>pages</code></td>
                                        <td>Stylesheets for subpages</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-5"><code>plugins</code></td>
                                        <td>Stylesheets for customization of owl-carousel, magnific-popup and other plugins</td>
                                    </tr>
                                    <tr>
                                        <td class="pl-3"><code>vendor</code></td>
                                        <td>3rd-party vendors that are included in the theme</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            },
        ]
    },
    {
        "title": "Stylesheets",
        "list": [
            {
                "entry-title": "Helpers",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>We define several helper classes to make this template more customizable.</p>
                            <table class="table table-bordered">
                                <thead>
                                    <th>Classes</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>w-lg-max</code><code>w-md-100</code><code>w-md-50</code><code>w-sm-100</code><code>w-sm-50</code><code>w-xs-100</code><code>w-xxs-100</code></td>
                                        <td>Width Helpers in mobile size</td>
                                    </tr>
                                    <tr>
                                        <td><code>ls-10</code><code>ls-0</code><code>ls-n-10</code><code>ls-n-15</code><code>ls-n-20</code><code>ls-n-25</code></td>
                                        <td>Letter Spacing Helpers</td>
                                    </tr>
                                    <tr>
                                        <td><code>bg-gray</code><code>bg-dark</code><code>bg-dark2</code><code>bg-primary</code><code>bg-secondary</code></td>
                                        <td>Background Color Helpers</td>
                                    </tr>
                                    <tr>
                                        <td><code>text-dark</code><code>text-primary</code><code>text-secondary</code><code>text-body</code></td>
                                        <td>Text Color Helpers</td>
                                    </tr>
                                    <tr>
                                        <td><code>font1</code><code>font2</code><code>font3</code><code>font4</code></td>
                                        <td>Font Family Helpers</td>
                                    </tr>
                                    <tr>
                                        <td><code>box-shadow-none</code><code>line-height-1</code><code>text-transform-none</code><code>round-images</code><code>title-decorate</code></td>
                                        <td>Other Typography Helpers</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            },
            {
                "entry-title": "Mixins",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>Porto provides various mixins for responsiveness and compatibility with some browsers.</p>
                            <table class="table table-bordered">
                                <thead>
                                    <th>Mixins</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>mq($mq-breakpoint, $mq-width: 'min-width', $mq-breakpoints: $breakpoints)</code></td>
                                        <td>Generate media queries for responsiveness.</td>
                                    </tr>
                                    <tr>
                                        <td><code>only_for_ie</code></td>
                                        <td>Generate css for only Internet Explorer</td>
                                    </tr>
                                    <tr>
                                        <td><code>only-for-edge</code></td>
                                        <td>Generate css for only Edge</td>
                                    </tr>
                                    <tr>
                                        <td><code>clearfix</code></td>
                                        <td>Clear float elements' area.</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <code>button-variant($color, $background, $border, $color-hover, $hover-background, $hover-border, $active-background, $active-border)</code>
                                        </td>
                                        <td>Generate buttons.</td>
                                    </tr>
                                    <tr>
                                        <td><code>button-outline-variant($color, $color-hover, $active-background, $border-color, $active-border)</code></td>
                                        <td>Generate outline buttons.</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            },
            {
                "entry-title": "Configuration",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>We define some useful vairables to easily customize the layout and components.</p>
                        `
                    },
                    {
                        "entry-subtitle": "Variables for colors",
                        "entry-subcontent": `
                        <table class="table table-bordered mb-3">
                            <thead>
                                <th>Variable</th>
                                <th>Default value</th>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><code>$primary-color</code></td>
                                    <td class="text-white" style="background-color: #08c">#08c</td>
                                </tr>
                                <tr>
                                    <td><code>$primary-color-dark</code></td>
                                    <td class="text-white" style="background-color: #222529">#222529</td>
                                </tr>
                                <tr>
                                    <td><code>$secondary-color</code></td>
                                    <td class="text-white" style="background-color: #ff7272">#ff7272</td>
                                </tr>
                                <tr>
                                    <td><code>$secondary-color-dark</code></td>
                                    <td class="text-white" style="background-color: #2f3946">#2f3946</td>
                                </tr>
                                <tr>
                                    <td><code>$secondary-color-light</code></td>
                                    <td class="text-white" style="background-color: #515151">#515151</td>
                                </tr>
                                <tr>
                                    <td><code>$tertiary-color</code></td>
                                    <td class="text-white" style="background-color: #2baab1">#2baab1</td>
                                </tr>
                                <tr>
                                    <td><code>$link-color</code></td>
                                    <td class="text-white" style="background-color: #08c">#08c</td>
                                </tr>
                                <tr>
                                    <td><code>$body-text</code></td>
                                    <td class="text-white" style="background-color: #777">#777</td>
                                </tr>
                                <tr>
                                    <td><code>$light-text</code></td>
                                    <td class="text-white" style="background-color: #666">#666</td>
                                </tr>
                                <tr>
                                    <td><code>$headings-text</code></td>
                                    <td class="text-white" style="background-color: #222529">#222529</td>
                                </tr>
                            </tbody>
                        </table>
                        `
                    },
                    {
                        "entry-subtitle": "Variables for font family",
                        "entry-subcontent": `
                            <table class="table table-bordered mb-3">
                                <thead>
                                    <th>Variable</th>
                                    <th>Default value</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>$font-family</code></td>
                                        <td>'Open Sans', sans-serif</td>
                                    </tr>
                                    <tr>
                                        <td><code>$second-font-family</code></td>
                                        <td>'Poppins', sans-serif</td>
                                    </tr>
                                    <tr>
                                        <td><code>$third-font-family</code></td>
                                        <td>'Oswald', sans-serif</td>
                                    </tr>
                                    <tr>
                                        <td><code>$shop-font-family</code></td>
                                        <td>'Open Sans', sans-serif</td>
                                    </tr>
                                    <tr>
                                        <td><code>$shop-second-font-family</code></td>
                                        <td>'Poppins', sans-serif</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    },
                    {
                        "entry-subtitle": "Breakpoints",
                        "entry-subcontent": `
                            <p>We use these variables within <code>mq()</code> mixin for responsiveness.</p>
                            <table class="table table-bordered mb-3">
                                <thead>
                                    <th>Variable</th>
                                    <th>Min value</th>
                                    <th>Max value</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>xs</code></td>
                                        <td>480px</td>
                                        <td>479px</td>
                                    </tr>
                                    <tr>
                                        <td><code>sm</code></td>
                                        <td>576px</td>
                                        <td>575px</td>
                                    </tr>
                                    <tr>
                                        <td><code>md</code></td>
                                        <td>768px</td>
                                        <td>767px</td>
                                    </tr>
                                    <tr>
                                        <td><code>lg</code></td>
                                        <td>992px</td>
                                        <td>991px</td>
                                    </tr>
                                    <tr>
                                        <td><code>xl</code></td>
                                        <td>1200px</td>
                                        <td>1199px</td>
                                    </tr>
                                    <tr>
                                        <td><code>xxl</code></td>
                                        <td>1600px</td>
                                        <td>1659px</td>
                                    </tr>
                                    <tr>
                                        <td><code>xlst</code></td>
                                        <td>1920px</td>
                                        <td></td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    },
                    {
                        "entry-subtitle": "Variables for plugin",
                        "entry-subcontent": `
                            <p>We define these variables to customize Owl Carousel's dot and nav and Maginific Popup.</p>
                            <table class="table table-bordered mb-3">
                                <thead>
                                    <th>Variable</th>
                                    <th>Default value</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>$dot-border</code></td>
                                        <td>rgba(0, 0, 0, .4)</td>
                                    </tr>
                                    <tr>
                                        <td><code>$dot-width</code></td>
                                        <td>15px</td>
                                    </tr>
                                    <tr>
                                        <td><code>$dot-height</code></td>
                                        <td>15px</td>
                                    </tr>
                                    <tr>
                                        <td><code>$nav-color</code></td>
                                        <td><code>$primary-color-dark</code></td>
                                    </tr>
                                    <tr>
                                        <td><code>$nav-color-hover</code></td>
                                        <td><code>$nav-color</code></td>
                                    </tr>
                                    <tr>
                                        <td><code>$nav-font-size</code></td>
                                        <td>3rem</td>
                                    </tr>
                                    <tr>
                                        <td><code>$mfp-overlay-opacity</code></td>
                                        <td>.4</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            },
            {
                "entry-title": "Theme Variable",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p class="mb-3">You don't need to overwrite styles to customize a header, footer and other components.<br />All you have to do is just to set theme variables.</p>
                        `
                    },
                    {
                        "entry-subtitle": "Example: Base Header Variable",
                        "entry-subcontent": `
                            <p>Default Configuration Variable for a header in <code>sass/base/header.scss</code>.</p>
                            <samp>@include set-default(
(
    header: (
        color: false,
        link-color: false,
        link-active-color: false,

        top: (
            padding-top: false,
            padding-bottom: false,
            color: false,
            background: false,
            border-bottom: false,
            font-size: false,
            font-weight: false,
            letter-spacing: false,
        ),
        middle: (
            padding-top: false,
            padding-bottom: false,
            color: false,
            background: false,
            border-bottom: false,
            font-size: false,
            font-weight: false,
            letter-spacing: false,
        ),
        bottom: (
            padding-top: false,
            padding-bottom: false,
            color: false,
            background: false,
            border-bottom: false,
            font-size: false,
            font-weight: false,
            letter-spacing: false,
        ),
        logo: (
            max-width: 97px,
            max-width-mobile: false,
        ),
        separator: (
            color: rgba(0,0,0,.04),
            space: 10px
        ),
        social-icon: (
            font-size: 13px,
            size: 2.6rem,
            color: false,
            space: 2px
        ),
        top-notice: (
            padding: .9rem 2rem 1.1rem,
            font-size: 1.3rem,
            link-background: #151719
        ),
        icon: (
            size: 2.7rem,
            space: 2.2rem,
            space-mobile: 1.2rem,
        )
    )
)
)</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Example: Customize header",
                        "entry-subcontent": `
                            <p>Following codes are used to customize demo-4's Variable <code>sass/demoes/demo4/_demo-variables.scss</code>.</p>
                            <ul class="mb-1">
                                <li>If you want to overwrite the config, please use the mixin set() and write variable.</li>
                                <li>If you want to remove an unnecessary css code, please set the value false.</li>
                            </ul>
                            <samp>// Demo 4 Variables
    @include set(
        header: (
            middle: (
                color: $primary-color-dark
            ),
            logo: (
                max-width: 111px,
                max-width-mobile: 90px
            ),
            top-notice: (
                link-background: #0075af
            ),
            search: (
                height: 40px,
                divider: 1px solid #fff,
    
                border: (
                    width: 5px,
                    color: $primary-color
                ),
                btn: (
                    min-width: 40px
                ),
                select: (
                    padding-left: 15px,
                    padding-right: 14px
                )
            ),
            separator: (
                space: 14px
            ),
            social-icon: (
                space: 3px
            )
        ),
        ...
    )
                        </samp>
                        `
                    }
                ]
            }
        ]
    },
    {
        "title": "Javascripts",
        "list": [
            {
                "entry-title": "Overview",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>The table below shows how to initialize Porto and its functions.</p>
                            <table class="table table-bordered">
                                <thead>
                                    <th>Function</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>Porto.init()</code></td>
                                        <td>Init all methods.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.appearAnimate()</code></td>
                                        <td>Runs appear animations.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.scrollBtnAppear</code></td>
                                        <td>Initialize the appear animation of the scroll button.</td>
                                    </tr>
                                    <tr>
                                        <th colspan="2">Call functions in <code>init</code> function</th>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.ajaxLoadProducts()</code></td>
                                        <td>Initialize an ajax-load-more products.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.alert()</code></td>
                                        <td>Add a close button to an alert.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.catAccordion()</code></td>
                                        <td>Toggle an "open" class for parent element-Home cat widget.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.categoryNavScroll()</code></td>
                                        <td>Initialize a smooth category nav scroll.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.changePassToggle()</code></td>
                                        <td>Toggle a new/change password section via checkbox.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.changeBillToggle()</code></td>
                                        <td>Toggle review - billing address checkbox.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.checkMobile()</code></td>
                                        <td>Check whether the device is mobile or not.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.countDown()</code></td>
                                        <td>Initialize the product-countdown.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.countTo()</code></td>
                                        <td>Initialize the count-to component.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.filterSlider()</code></td>
                                        <td>Initialize the filter slider in the shop page.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.floatElement()</code></td>
                                        <td>Initialize a floating element.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.footerReveal()</code></td>
                                        <td>Reveals a footer when scrolling down.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.headerSearchToggle()</code></td>
                                        <td>Initialzie a header search popup toggle.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.initCollapsibleWidget()</code></td>
                                        <td>Initialize the collapsible widget action.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.initJqueryParallax()</code></td>
                                        <td>Initialize a parallax.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.initProductSinglePage()</code></td>
                                        <td>Initialize a product single page.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.initProductsScrollload($wrap)</code></td>
                                        <td>Initialize an ajax infinte scroll.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.initPurchasedMinipopup</code></td>
                                        <td>Initialize the minipopup that shows a purchased item.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.isotopes()</code></td>
                                        <td>Initialize an isotope layout.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.lightBox()</code></td>
                                        <td>Initialize a light box.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.linkToTab()</code></td>
                                        <td>Initialize a tab link.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.loginPopup()</code></td>
                                        <td>Initialize a login popup.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.miniPopup.init()</code></td>
                                        <td>Initialize a minipopup.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.menuInit()</code></td>
                                        <td>Initialize the menu.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.mMenuIcons()</code></td>
                                        <td>Add Mobile menu icon arrows or plus/minus to items with children.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.mMenuToggle()</code></td>
                                        <td>Toggle Mobile Menu.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.mobileMenu()</code></td>
                                        <td>Initialize a mobile menu.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.owlCarousels()</code></td>
                                        <td>Initialize a slider.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.parallax()</code></td>
                                        <td>Initialize a parallax.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.popover()</code></td>
                                        <td>Initialize a popover.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.popupMenu()</code></td>
                                        <td>Initialize a popup menu.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.productManage()</code></td>
                                        <td>Manage the thumbnail image of the product.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.productsCartAction()</code></td>
                                        <td>Add to cart action.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.productsWishlistAction()</code></td>
                                        <td>Add to wishlist action.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.productTabScroll()</code></td>
                                        <td>Scroll to the product details tab and show the review tab.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.quantityInputs()</code></td>
                                        <td>Initialize quantity inputs.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.ratingForm()</code></td>
                                        <td>Initialize the rating in the review tab.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.ratingTooltip()</code></td>
                                        <td>Initialize the tooltip of a rating.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.scollToElement()</code></td>
                                        <td>Initialize the scroll to an element.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.scrollToTop()</code></td>
                                        <td>Initialize the scroll-top button.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.sideMenu()</code></td>
                                        <td>Initialize a side menu.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.stickyHeader()</code></td>
                                        <td>Initialize a sticky header.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.stickySidebar()</code></td>
                                        <td>Initialize a sticky sidebar.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.toggleCart()</code></td>
                                        <td>Initialize the cart toggle.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.toggleFilter()</code></td>
                                        <td>Initialize the filter toggle.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.toggleSidebar()</code></td>
                                        <td>Initialize the sidebar toggle.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.tooltip()</code></td>
                                        <td>Initialize a tooltip.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.topNotice()</code></td>
                                        <td>Initialize a top notice.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.videoModal()</code></td>
                                        <td>Initialize an Iframe video popup.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.windowClick()</code></td>
                                        <td>Initialize the action when the window is clicked.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.wordRotate()</code></td>
                                        <td>Initialize the wordRotate plugin.</td>
                                    </tr>
                                    <tr>
                                        <td><code>Porto.zoomImage()</code></td>
                                        <td>Initialize an elevate zoom.</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            }
        ]
    },
    {
        "title": "Components",
        "list": [
            {
                "entry-title": "Alerts",
                "list": [
                    {
                        "entry-subtitle": "HTML",
                        "entry-subcontent": `
                                <p>Use the HTML code below to display an <span class="text-primary">alert</span>.</p>
                                <samp>&lt;div class="alert alert-rounded alert-success"&gt;
    &lt;i class="fa fa-check" style="color: #9ad36a;"&gt;&lt;/i&gt;
    &lt;span&gt;&lt;strong&gt;Well done!&lt;/strong&gt; You successfully read this important alert message.&lt;/span&gt;
&lt;/div&gt;</samp>
                            `
                    }
                ]
            },
            {
                "entry-title": "Breadcrumb",
                "list": [
                    {
                        "entry-subtitle": "HTML",
                        "entry-subcontent": `
                                <p>Use the HTML code below to display a <span class="text-primary">breadcrumb</span>.</p>
                                <samp>&lt;nav aria-label="breadcrumb" class="breadcrumb-nav"&gt;
    &lt;ol class="breadcrumb"&gt;
        &lt;li class="breadcrumb-item"&gt;&lt;a href="demo4.html"&gt;&lt;i class="icon-home"&gt;&lt;/i&gt;&lt;/a&gt;&lt;/li&gt;
        &lt;li class="breadcrumb-item"&gt;&lt;a href="#"&gt;Men&lt;/a&gt;&lt;/li&gt;
        &lt;li class="breadcrumb-item active" aria-current="page"&gt;Accessories&lt;/li&gt;
    &lt;/ol&gt;
&lt;/nav></samp>
                            `
                    },
                    {
                        "entry-subtitle": "Variables for Breadcrumb",
                        "entry-subcontent": `
                            <p>Default variables for a breadcrumb are in <code>sass/components/_breadcrumb.scss</code>.</p>
                            <samp>@include set-default(
    (
        breadcrumb: (
            color: #8e8e8e,
            letter-spacing: -.01em,
            border-top: false,
            border-bottom: 1px solid #dfdfdf,
            margin-bottom: false,
            padding: 1rem,

            font: (
                size: 12px,
                weight: false,
                family: false,
            ),

            divider: (
                size: 12px,
                space: 1.5rem,
                weight: false,
                content: '\e81a'
            )
        )
    )
);</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Button",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>To make a <span class="text-primary">button</span>, please use the HTML codes below.</p>
                            <samp>&lt;a href="#" class="btn"&gt;Button&lt;/a&gt;<br />&lt;button type="button" class="btn"&gt;Button&lt;/button&gt;</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Variables",
                        "entry-subcontent": `
                            <p>Variables for a button are in <code>sass/components/_buttons.scss</code>.</p>
                            <samp>@include set-default(
    (
        btn: (
            padding: 1.9rem 4.8rem,
            line-height: 1.429,
            border-radius: $border-radius,

            font: (
                size: $button-font-size,
                weight: 700,
                family: $second-font-family
            )
        )
    )
);</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Button Size",
                        "entry-subcontent": `
                            <ul>
                                <li><code>btn-sm</code> &ndash; For small buttons</li>
                                <li><code>btn-md</code> &ndash; For medium buttons</li>
                                <li><code>btn-lg</code> &ndash; For large buttons</li>
                                <li><code>btn-xl</code> &ndash; For extra large buttons</li>
                            </ul>
                        `
                    },
                    {
                        "entry-subtitle": "Button Style",
                        "entry-subcontent": `
                            <ul>
                                <li><code>btn</code> &ndash; Buttons with a square style</li>
                                <li><code>btn-rounded</code> &ndash; Buttons with a rounded square style</li>
                                <li><code>btn-ellipse</code> &ndash; Buttons with an ellipse style</li>
                                <li><code>btn-round</code> &ndash; Buttons with a round style</li>
                            </ul>
                        `
                    },
                    {
                        "entry-subtitle": "Button With Icon",
                        "entry-subcontent": `
                            <ul>
                                <li><code>btn-icon-left</code> &ndash; Icon button left</li>
                                <li><code>btn-icon-right</code> &ndash; Icon button right</li>
                            </ul>
                        `
                    },
                    {
                        "entry-subtitle": "Button Skin",
                        "entry-subcontent": `
                            <ul>
                                <li><code>btn-primary</code> &ndash; Primary colored button skin</li>
                                <li><code>btn-secondary</code> &ndash; Secondary colored button skin</li>
                                <li><code>btn-outline</code> &ndash; Light gray colored outline button</li>
                                <li><code>btn-outline-primary</code> &ndash; Primary colored outline button</li>
                                <li><code>btn-outline-secondary</code> &ndash; Secondary colored outline button</li>
                                <li><code>btn-dark</code> &ndash; Dark colored button skin</li>
                                <li><code>btn-gray</code> &ndash; Gray colored button skin</li>
                            </ul>
                        `
                    },
                    {
                        "entry-subtitle": "Custom Button",
                        "entry-subcontent": `
                            <p>You can make your own button by using <code>button-variant()</code>mixin.</p>
                            <samp>.btn-teritary {
    @include button-variant(#fff, #047490, #047490);
}</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Card",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>The code below shows a <span class="text-primary">card</span>.<br />To make an accordion card, just add <code>card-accordion</code> class.</p>
                            <samp>&lt;div class="card"&gt;
    &lt;a class="card-header" href="#" data-toggle="collapse" data-target="#collapseOne"
        aria-expanded="true" aria-controls="collapseOne"&gt;
        Curabitur eget leo at velit imperdiet viaculis
        vitaes?
    &lt;/a&gt;

    &lt;div id="collapseOne" class="collapse show" data-parent="#accordion"&gt;
        &lt;p&gt;
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur eget leo at velit imperdiet 
            varius. In eu ipsum vitae  velit congue iaculis vitae at risus. Nullam tortor nunc, bibendum 
            vitae semper a, volutpat eget massa.
        &lt;/p&gt;
    &lt;/div&gt;
&lt;/div&gt;</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Countdown",
                "list": [
                    {
                        "entry-subtitle": "HTML",
                        "entry-subcontent": `
                                <p>Use the HTML code below to display a <span class="text-primary">countdown</span>.</p>
                                <samp>&lt;div class="countdown-container"&gt;
    &lt;div class="countdown countdown-type1" data-labels-short="true" data-until="2021, 10, 5"&gt;&lt;/div&gt;
    &lt;/div&gt;
&lt;/div&gt;</samp>
                            `
                    }
                ]
            },
            {
                "entry-title": "Counters",
                "list": [
                    {
                        "entry-subtitle": "HTML",
                        "entry-subcontent": `
                                <p>Use the HTML code below to display a <span class="text-primary">counter</span>.</p>
                                <samp>&lt;h3 class="count-to mb-0" style="font-size: 5rem;" data-fromvalue="0" data-tovalue="19000" data-duration="3000" data-delimiter="," data-append="+"&gt;0&lt;/h3&gt;</samp>
                            `
                    }
                ]
            },
            {
                "entry-title": "Feature Box",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>Use the code below to display a<span class="text-primary">feature-box</span>.</p>
                            <samp>&lt;div class="feature-box"&gt;
    &lt;div class="feature-box-icon"&gt;
        &lt;i class="icon-earphones-alt"&gt;&lt;/i&gt;
    &lt;/div&gt;

    &lt;div class="feature-box-content"&gt;
        &lt;h3&gt;Customer Support&lt;/h3&gt;
        &lt;h5&gt;You Won't Be Alone&lt;/h5&gt;

        &lt;p&gt;We really care about you and your website as much as you do. Purchasing Porto or
            any other theme from us you get 100% free support.&lt;/p&gt;
    &lt;/div&gt;&lt;!-- End .feature-box-content --&gt;
&lt;/div&gt;&lt;!-- End .feature-box --&gt;</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Variables",
                        "entry-subcontent": `
                            <p>Feature Box variables in <code>sass/components/feature-boxes.scss</code>.</p>
                            <samp>@include set-default(
    (
        feature-box: (
            title: (
                color: false,
                font-size: 1.6rem,
                font-weight: 700
            )
        )
    )
);</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Info Box",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>An<span class="text-primary">info-box</span> is recommended to give some information.</p>
                            <samp>&lt;div class="info-box"&gt;
    &lt;i class="icon-shipping"&gt;&lt;/i&gt;

    &lt;div class="info-box-content"&gt;
        &lt;h4&gt;FREE SHIPPING &amp; RETURN&lt;/h4&gt;
        &lt;p class="text-body"&gt;Free shipping on all orders over $99.&lt;/p&gt;
    &lt;/div&gt;&lt;!-- End .info-box-content --&gt;
&lt;/div&gt;&lt;!-- End .info-box --&gt;</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Varaiables",
                        "entry-subcontent": `
                            <p>Info box variables in <code>sass/components/_info-box.scss</code></p>
                            <samp>@include set-default(
    (
        info-box: (
            icon: (
                size: 3.7rem,
                space: 1.5rem
            ),

            title: (
                size: 1.4rem,
                weight: 700,
                transform: uppercase,
                margin-bottom: 0
            )
        )
    )
);</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Info Box Type",
                        "entry-subcontent": `
                            <ul>
                                <li><code>with-icon</code> &ndash; With <i class="fa fa-info-circle" style="color: #5bc0de;font-size: 1.1em"></i> icon</li>
                                <li><code>info-box-icon-left</code> &ndash; Left aligned icon</li>
                            </ul>
                        `
                    }
                ]
            },
            {
                "entry-title": "Member",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>With Porto, a <span class="text-primary">member</span> can be easily shown.</p>
                            <samp>&lt;div class="member"&gt;
    &lt;img src="assets/images/team/member-1.jpg" alt="member name"&gt;

    &lt;h3 class="member-title"&gt;JANE DOE&lt;/h3&gt;
    &lt;div class="member-job"&gt;CEO & FOUNDER&lt;/div&gt;
&lt;/div&gt;</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Page Header",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>The code below shows how to display a <span class="text-primary">page-header</span>.</p>
                            <samp>&lt;div class="page-header page-header-bg text-left" style="background: 50%/cover #D4E1EA url('assets/images/page-header-bg.jpg');"&gt;
    &lt;div class="container"&gt;
        &lt;h1&gt;&lt;span&gt;ABOUT US&lt;/span&gt;OUR COMPANY&lt;/h1&gt;
        &lt;a href="contact.html" class="btn btn-dark"&gt;Contact&lt;/a&gt;
    &lt;/div&gt;&lt;!-- End .container --&gt;
&lt;/div&gt;&lt;!-- End .page-header --&gt;</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Pagination",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>To make Porto's <span class="text-primary">pagination</span>, use the code below.</p>
                            <samp>&lt;nav class="toolbox toolbox-pagination"&gt;
    &lt;div class="toolbox-item toolbox-show"&gt;
        &lt;label&gt;Show:&lt;/label&gt;

        &lt;div class="select-custom"&gt;
            &lt;select name="count" class="form-control"&gt;
                &lt;option value="12"&gt;12&lt;/option&gt;
                &lt;option value="24"&gt;24&lt;/option&gt;
                &lt;option value="36"&gt;36&lt;/option&gt;
            &lt;/select&gt;
        &lt;/div&gt;&lt;!-- End .select-custom --&gt;
    &lt;/div&gt;&lt;!-- End .toolbox-item --&gt;

    &lt;ul class="pagination toolbox-item"&gt;
        &lt;li class="page-item disabled"&gt;
            &lt;a class="page-link page-link-btn" href="#"&gt;&lt;i class="icon-angle-left"&gt;&lt;/i&gt;&lt;/a&gt;
        &lt;/li&gt;
        &lt;li class="page-item active"&gt;
            &lt;a class="page-link" href="#"&gt;1 &lt;span class="sr-only"&gt;(current)&lt;/span&gt;&lt;/a&gt;
        &lt;/li&gt;
        &lt;li class="page-item"&gt;&lt;a class="page-link" href="#"&gt;2&lt;/a&gt;&lt;/li&gt;
        &lt;li class="page-item"&gt;&lt;a class="page-link" href="#"&gt;3&lt;/a&gt;&lt;/li&gt;
        &lt;li class="page-item"&gt;&lt;span class="page-link"&gt;...&lt;/span&gt;&lt;/li&gt;
        &lt;li class="page-item"&gt;
            &lt;a class="page-link page-link-btn" href="#"&gt;&lt;i class="icon-angle-right"&gt;&lt;/i&gt;&lt;/a&gt;
        &lt;/li&gt;
    &lt;/ul&gt;
&lt;/nav&gt;</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Pagination Items",
                        "entry-subcontent": `
                            <ul>
                                <li><code>page-link</code> &ndash; For page items</li>
                                <li><code>page-link-btn</code> &ndash; For Next & Prev page link.</li>
                            </ul>
                        `
                    }
                ]
            },
            {
                "entry-title": "Popup",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>In Porto, there are two methods of opening <span class="text-primary">popup</span>s.</p>
                            <ul>
                                <li>By using <em>jquery.magnific.popup</em></li>
                                <li>By using <em>Porto.miniPopUp</em></li>
                            </ul>
                        `
                    },
                    {
                        "entry-subtitle": "Example: Open a login modal",
                        "entry-subcontent": `
                            <p>Opening modals like a login or a newsletter popup is based on <em>jquery.magnific.popup</em> plugin.<br />The code below shows how to open a login modal.</p>
                            <samp>$('.login-link').click(function (e) {
    e.preventDefault();
    Porto.ajaxLoading();
    var ajaxUrl = "ajax/login-popup.html";

    $.magnificPopup.open({
        type: 'ajax',
        mainClass: "login-popup",
        tLoading: '',
        preloader: false,
        removalDelay: 350,
        items: {
            src: ajaxUrl
        },
        callbacks: {
            open: function () {
                ...
            },
            beforeClose: function () {
                $('.ajax-overlay').remove();
            },
            afterClose: function () {
                ...
            }
        },
        ajax: {
            tError: '',
        }
    });

});</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Example: Open a popup using <em>Minipopup</em>",
                        "entry-subcontent": `
                            <p>Porto defines <em>Minipopup</em> to make it easy to show notifications when a product is added to the cart or wishlist.<br/>Let's see how to use <em>Minipopup</em>.</p>
                            <samp>// Initialize Popup<br />Porto.miniPopup.init();<br />// Open a popup
Porto.miniPopup.open({
    name: 'Mobile Speaker',
    nameLink: 'product.html',
    imageSrc: 'assets/images/products/small/product-1.jpg'
});</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Minipopup Parameters",
                        "entry-subcontent": `
                            <table class="table table-bordered">
                                <thead>
                                    <th>Option</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>imageSrc</code></td>
                                        <td>Url for the Product image</td>
                                    </tr>
                                    <tr>
                                        <td><code>imageLink</code></td>
                                        <td>Url Link for the product</td>
                                    </tr>
                                    <tr>
                                        <td><code>name</code></td>
                                        <td>Product name</td>
                                    </tr>
                                    <tr>
                                        <td><code>nameLink</code></td>
                                        <td>Url Link for the Product name</td>
                                    </tr>
                                    <tr>
                                        <td><code>space</code></td>
                                        <td>Space between Popups</td>
                                    </tr>
                                    <tr>
                                        <td><code>delay</code></td>
                                        <td>Delay of the Popup display</td>
                                    </tr>
                                    <tr>
                                        <td><code>template</code></td>
                                        <td>HTML Template for the Popup</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            },
            {
                "entry-title": "Product",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>Porto provides several types to showcase products. You can see various product types in different demos.</p>
                            <table class="table table-bordered mb-2">
                                <thead>
                                    <th>Type</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>product-default</code></td>
                                        <td>Product Default</td>
                                    </tr>
                                    <tr>
                                        <td><code>divide-line</code></td>
                                        <td>Product Type each separated by a line</td>
                                    </tr>
                                    <tr>
                                        <td><code>inner-quickview</code></td>
                                        <td>Inner Quickview</td>
                                    </tr>
                                    <tr>
                                        <td><code>inner-icon</code></td>
                                        <td>Inner Icon</td>
                                    </tr>
                                    <tr>
                                        <td><code>left-details</code></td>
                                        <td>Left Details</td>
                                    </tr>
                                    <tr>
                                        <td><code>hidden-description</code></td>
                                        <td>Hidden Description</td>
                                    </tr>
                                    <tr>
                                        <td><code>full-width</code></td>
                                        <td>Full width & No gaps</td>
                                    </tr>
                                    <tr>
                                        <td><code>inner-icon-inline</code></td>
                                        <td>Inner Icon Inline</td>
                                    </tr>
                                    <tr>
                                        <td><code>product-overlay</code></td>
                                        <td>Overlay</td>
                                    </tr>
                                    <tr>
                                        <td><code>overlay-dark</code></td>
                                        <td>Overlay Dark</td>
                                    </tr>
                                    <tr>
                                        <td><code>creative-grid</code></td>
                                        <td>Creative Grid</td>
                                    </tr>
                                    <tr>
                                        <td><code>inner-btn</code></td>
                                        <td>Inner Button</td>
                                    </tr>
                                    <tr>
                                        <td><code>quantity-input</code></td>
                                        <td>Quantity Input</td>
                                    </tr>
                                    <tr>
                                        <td><code>product-list</code></td>
                                        <td>Product List</td>
                                    </tr>
                                    <tr>
                                        <td><code>product-widget</code></td>
                                        <td>Product Widget</td>
                                    </tr>
                                </tbody>
                            </table>
                            <p class="mb-1">Use the code below to display a default product.</p>
                            <samp>&lt;div class="product-default&gt;
    &lt;figure&gt;
        &lt;a href="product.html"&gt;
            &lt;img src="assets/images/products/product-11.jpg" width="220" height="220" alt="product"&gt;
            &lt;img src="assets/images/products/product-11-2.jpg" width="220" height="220" alt="product"&gt;
        &lt;/a&gt;
        &lt;div class="label-group"&gt;
            &lt;div class="product-label label-sale"&gt;-20%&lt;/div&gt;
        &lt;/div&gt;
    &lt;/figure&gt;
    &lt;div class="product-details"&gt;
        &lt;div class="category-list"&gt;
            &lt;a href="category.html" class="product-category"&gt;Category&lt;/a&gt;
        &lt;/div&gt;
        &lt;h3 class="product-title"&gt;
            &lt;a href="product.html"&gt;Men Sports Travel Bag&lt;/a&gt;
        &lt;/h3&gt;
        &lt;div class="ratings-container"&gt;
            &lt;div class="product-ratings"&gt;
                &lt;span class="ratings" style="width:80%"&gt;&lt;/span&gt;&lt;!-- End .ratings --&gt;
                &lt;span class="tooltiptext tooltip-top"&gt;&lt;/span&gt;
            &lt;/div&gt;&lt;!-- End .product-ratings --&gt;
        &lt;/div&gt;&lt;!-- End .product-container --&gt;
        &lt;div class="price-box"&gt;
            &lt;del class="old-price"&gt;$59.00&lt;/del&gt;
            &lt;span class="product-price"&gt;$49.00&lt;/span&gt;
        &lt;/div&gt;&lt;!-- End .price-box --&gt;
        &lt;div class="product-action"&gt;
            &lt;a href="wishlist.html" class="btn-icon-wish" title="wishlist"&gt;&lt;i class="icon-heart"&gt;&lt;/i&gt;&lt;/a&gt;
            &lt;a href="product.html" class="btn-icon btn-add-cart"&gt;
                &lt;i class="fa fa-arrow-right"&gt;&lt;/i&gt;&lt;span&gt;SELECT OPTIONS&lt;/span&gt;
            &lt;/a&gt;
            &lt;a href="ajax/product-quick-view.html" class="btn-quickview" title="Quick View"&gt;
                &lt;i class="fas fa-external-link-alt"&gt;&lt;/i&gt;
            &lt;/a&gt;
        &lt;/div&gt;
    &lt;/div&gt;&lt;!-- End .product-details --&gt;
&lt;/div&gt;</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Product Category",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>Porto provides several attractive types to showcase <em>product categories</em>.<br />Use the codes below to display a simple product category.</p>
                            <samp>&lt;div class="product-category"&gt;
    &lt;a href="category.html"&gt;
        &lt;figure&gt;
            &lt;img src="assets/images/products/categories/category-1.jpg" alt="category" width="280" height="240"/&gt;
        &lt;/figure&gt;
        &lt;div class="category-content"&gt;
            &lt;h3&gt;Dress&lt;/h3&gt;
            &lt;span&gt;&lt;mark class="count"&gt;3&lt;/mark&gt; products&lt;/span&gt;
        &lt;/div&gt;
    &lt;/a&gt;
&lt;/div&gt;</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Slider",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>Porto provides a powerful slider component which is based on <em>Owl Carousel</em> plugin. It is one of the most famous, touch enabled, fast & responsive jQeury plugin.</p>
                        `
                    },
                    {
                        "entry-subtitle": "Example: Products slider in 4 columns",
                        "entry-subcontent": `
                            <p>Custom owl carousel options could be given in <code>data-owl-options</code> attribute in HTML.</p>
                            <samp>&lt;div class="products-slider owl-carousel owl-theme" data-owl-options="{
    'loop': false,
    'margin': 20,
    'autoplay': false,
    'dots': true,
    'items': 2,
    'responsive': {
        '576': {
            'items': 3
        },
        '992': {
            'items': 4
        }
    }
}"&gt;
    &lt;div class="product-default"&gt; ... &lt;/div&gt;
    &lt;div class="product-default"&gt; ... &lt;/div&gt;
    &lt;div class="product-default"&gt; ... &lt;/div&gt;
    &lt;div class="product-default"&gt; ... &lt;/div&gt;
&lt;/div&gt;</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Default Options",
                        "entry-subcontent": `
                            <p>There are default options for numerous sliders.<br />You can see these default options in <code>js/main.js</code>.</p>
                            <samp>...
owlCarousels: function () {
    var sliderDefaultOptions = {
        loop: true,
        margin: 0,
        ...
        items: 1
    };
    ...
    var sliderCustomOptionsArray = {
        '.home-slider': {
            lazyLoad: true,
            autoplay: false,
            dots: false,
            nav: true,
            autoplayTimeout: 12000,
            animateOut: 'fadeOut',
            navText: [ '&lt;i class="icon-left-open-big"&gt;', '&lt;i class="icon-right-open-big"&gt;' ],
            loop: true
        }
        ...
    };
}
...</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Helper Classes for customizing <em>Owl Carousel</em>",
                        "entry-subcontent": `
                            <p>Porto provide some helper classes to customzie an <em>Owl Carousel</em>.<br />These helper classes are in <code>sass/base/_plugin.scss</code>.</p>
                            <table class="table table-bordered">
                                <thead>
                                    <th>Class</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>nav-big</code>, <code>nav-large</code></td>
                                        <td>Nav Big, Nav Large</td>
                                    </tr>
                                    <tr>
                                        <td><code>nav-image-center</code></td>
                                        <td>Nav Image Center Pos</td>
                                    </tr>
                                    <tr>
                                        <td><code>show-nav-hover</code></td>
                                        <td>Show Nav Hover</td>
                                    </tr>
                                    <tr>
                                        <td><code>nav-outer</code></td>
                                        <td>Nav Outer</td>
                                    </tr>
                                    <tr>
                                        <td><code>dots-simple</code></td>
                                        <td>Simple Dots</td>
                                    </tr>
                                    <tr>
                                        <td><code>dots-m-0</code>, <code>dots-mt-1</code></td>
                                        <td>Margin for owl dots</td>
                                    </tr>
                                    <tr>
                                        <td><code>dots-top</code></td>
                                        <td>Dots Top</td>
                                    </tr>
                                    <tr>
                                        <td><code>dots-small</code></td>
                                        <td>Dots Small</td>
                                    </tr>
                                    <tr>
                                        <td><code>dots-left</code></td>
                                        <td>Dots Align Left</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            },
            {
                "entry-title": "Social Icons",
                "list": [
                    {
                        "entry-subtitle": "HTML",
                        "entry-subcontent": `
                                <p>Use the HTML code below to display <span class="text-primary">social icon</span>s.</p>
                                <samp>&lt;div class="social-icons"&gt;
    &lt;a href="#" class="social-icon social-facebook icon-facebook" target="_blank"
        title="Facebook"&gt;&lt;/a&gt;
    &lt;a href="#" class="social-icon social-twitter icon-twitter" target="_blank"
        title="Twitter"&gt;&lt;/a&gt;
    &lt;a href="#" class="social-icon social-instagram icon-instagram" target="_blank"
        title="Instagram"&gt;&lt;/a&gt;
&lt;/div&gt;</samp>
                            `
                    },
                    {
                        "entry-subtitle": '',
                        "entry-subcontent": `
                                <p>There are some most used social icons with their own default background colors.</p>
                                <table class="table table-bordered mb-3">
                            <thead>
                                <th>Social Icon</th>
                                <th>Default Background Color</th>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><code>.social-facebook</code></td>
                                    <td class="text-white" style="background-color: #3b5a9a">#3b5a9a</td>
                                </tr>
                                <tr>
                                    <td><code>.social-twitter</code></td>
                                    <td class="text-white" style="background-color: #1aa9e1">#1aa9e1</td>
                                </tr>
                                <tr>
                                    <td><code>.social-instagram</code></td>
                                    <td class="text-white" style="background-color: #7c4a3a">#7c4a3a</td>
                                </tr>
                                <tr>
                                    <td><code>.social-linkedin</code></td>
                                    <td class="text-white" style="background-color: #0073b2">#0073b2</td>
                                </tr>
                                <tr>
                                    <td><code>.social-gplus</code></td>
                                    <td class="text-white" style="background-color: #dd4b39">#dd4b39</td>
                                </tr>
                                <tr>
                                    <td><code>.social-mail</code></td>
                                    <td class="text-white" style="background-color: #dd4b39">#dd4b39</td>
                                </tr>
                            </tbody>
                        </table>
                            `
                    }
                ]
            },
            {
                "entry-title": "Sticky Header",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>Porto provides a very simple and convenient way to implement a flexible and responsive <em>sticky-header</em>.<b
                            r />The code below shows how to implement a sticky-header.</p>
                            <samp>&lt;div class="header-middle sticky-header" data-sticky-options="{'moblie': true}"&gt;
    ...
&lt;/div&gt;</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Options",
                        "entry-subcontent": `
                            <table class="table table-bordered">
                                <thead>
                                    <th>Option</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>offset</code></td>
                                        <td>Page-Y Offset to fix the sticky header</td>
                                    </tr>
                                    <tr>
                                        <td><code>mobile</code></td>
                                        <td>Only mobile or Desktop</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            },
            {
                "entry-title": "Store",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>The code below shows how to show a <em>store</em>.</p>
                            <samp>&lt;div class="store-default"&gt;
    &lt;div class="store-header"&gt;
        &lt;figure&gt;
            &lt;img src="assets/images/demoes/demo22/vendors/banner-1.jpg" alt="vendor" width="625"
                height="299"&gt;
        &lt;/figure&gt;
    &lt;/div&gt;

    &lt;div class="store-content"&gt;
        &lt;h3 class="store-title"&gt;Porto Vendor&lt;/h3&gt;

        &lt;div class="ratings-container"&gt;
            &lt;div class="product-ratings"&gt;
                &lt;span class="ratings" style="width:80%"&gt;&lt;/span&gt;
                &lt;!-- End .ratings --&gt;
                &lt;span class="tooltiptext tooltip-top"&gt;&lt;/span&gt;
            &lt;/div&gt;&lt;!-- End .product-ratings --&gt;
        &lt;/div&gt;&lt;!-- End .product-container --&gt;

        &lt;p class="store-address"&gt;
            California, United States (US)
        &lt;/p&gt;
    &lt;/div&gt;

    &lt;div class="store-footer"&gt;
        &lt;div class="seller-avatar"&gt;
            &lt;img src="assets/images/demoes/demo22/vendors/avatar-1.jpg" alt="avatar" width="100"
                height="100"&gt;
        &lt;/div&gt;
        &lt;a href="demo22-store.html" class="btn btn-primary btn-round"&gt;
        &lt;/a&gt;
    &lt;/div&gt;
&lt;/div&gt;</samp>
                        `
                    },
                    {
                        "entry-subtitle": "Store Types",
                        "entry-subcontent": `
                            <p>There are two more types to display a store.</p>
                            <table class="table table-bordered">
                                <thead>
                                    <th>Type</th>
                                    <th>Description</th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><code>store-default</code></td>
                                        <td>Store Default</td>
                                    </tr>
                                    <tr>
                                        <td><code>no-banner</code></td>
                                        <td>Store with No Banners</td>
                                    </tr>
                                    <tr>
                                        <td><code>store-list</code></td>
                                        <td>Store List</td>
                                    </tr>
                                </tbody>
                            </table>
                        `
                    }
                ]
            },
            {
                "entry-title": "Tabs",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>Porto use <em>Bootstrap</em> tabs but when you use a slider in tabs, you should add <code>product-slider-tab</code> to the tab's wrapper.</p>
                            <samp>&lt;div class="products-container product-slider-tab"&gt;
    &lt;ul class="nav nav-tabs"&gt;
        &lt;li class="nav-item"&gt;
            &lt;a class="nav-link active" data-toggle="tab" href="#all"&gt;&lt;/a&gt;
        &lt;/li&gt;

        ...
    &lt;/ul&gt;
    &lt;div class="tab-content"&gt;
        &lt;div class="tab-pane fade show active"id="all"&gt;
            &lt;div class="products-slider owl-carousel owl-theme"&gt;
                ...
            &lt;/div&gt;
        &lt;/div&gt;

        ...
    &lt;/div&gt;
&lt;/div&gt;</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Testimonial",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>With Porto, a <em>testimonial</em> can be easily shown.</p>
                            <samp>&lt;div class="testimonial"&gt;
    &lt;div class="testimonial-owner"&gt;
        &lt;figure&gt;
            &lt;img src="assets/images/clients/client2.png" alt="client"&gt;
        &lt;/figure&gt;

        &lt;div&gt;
            &lt;strong class="testimonial-title"&gt;Bob Smith&lt;/strong&gt;
            &lt;span&gt;SMARTWAVE CEO&lt;/span&gt;
        &lt;/div&gt;
    &lt;/div&gt;&lt;!-- End .testimonial-owner --&gt;

    &lt;blockquote&gt;
        &lt;p&gt;Lorem ipsum dolor sit amet, consectetur elitad adipiscing Cras non placerat mipsum
            dolor sit amet, consectetur elitad adipiscing cas non placerat mi.&lt;/p&gt;
    &lt;/blockquote&gt;
&lt;/div&gt;&lt;!-- End .testimonial --&gt;</samp>
                        `
                    }
                ]
            },
            {
                "entry-title": "Word Rotate",
                "list": [
                    {
                        "entry-subtitle": "",
                        "entry-subcontent": `
                            <p>Porto provide <em>Word Rotate</em> to make the site more animated.<br />It is very simple to use word rotate.</p>
                            <samp>&lt;span class="wort-rotator" data-plugin-options='{ "delay": 3000 }'&gt;
    &lt;span class="wort-rotator-items"&gt;
        &lt;span&gt;success.&lt;/span&gt;
        &lt;span&gt;progress.&lt;/span&gt;
        &lt;span&gt;advance.&lt;/span&gt;
    &lt;/span&gt;
&lt;/span&gt;</samp>
                        `
                    }
                ]
            }
        ]
    },
    {
        "title": "Thank you",
        "list": [
            {
                "entry-title": "Thank you",
                "list": [
                    {
                        "entry-subtitle": "We are so glad to provide you our products.",
                        "entry-subcontent": "<p>We don't know how to thank you enough for using our templates.<br />If you are satisfied with our product, please rate us.</p>"
                    }
                ]
            }
        ]
    }
]